package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridShop;
import com.ruoyi.system.domain.grid.GridShopExample;
import com.ruoyi.system.domain.grid.vo.GridShopSearchParam;
import com.ruoyi.system.domain.grid.vo.SimpleGridShopItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GridShopMapper {
    long countByExample(GridShopExample example);

    int deleteByExample(GridShopExample example);

    int deleteByPrimaryKey(Long shopId);

    int insert(GridShop record);

    int insertSelective(GridShop record);

    List<GridShop> selectByExample(GridShopExample example);

    GridShop selectByPrimaryKey(Long shopId);

    int updateByExampleSelective(@Param("record") GridShop record, @Param("example") GridShopExample example);

    int updateByExample(@Param("record") GridShop record, @Param("example") GridShopExample example);

    int updateByPrimaryKeySelective(GridShop record);

    int updateByPrimaryKey(GridShop record);

    List<Map<String, Object>> countGridShop(@Param("wgCodeLikes") List<String> wgCode);

    List<Map<String, Object>> countGridShopByGrid();

    Integer countByParam(GridShopSearchParam param);

    List<GridShop> listByParam(GridShopSearchParam param);

    List<SimpleGridShopItem> listShopPoint(@Param("wgCode") String wgCode, @Param("name")String name);
}
